perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Richard Jones <>
Subject Re: Problem with perl-status memory usage
Date Wed, 12 Sep 2007 21:32:55 GMT
Perrin Harkins wrote:
> On 9/12/07, Richard Jones <> wrote:
>> Both packages referred to in the error message are installed and up to date
> Do you have more than one perl on this system?  Maybe XAMPP installs a
> separate one.

Yes, XAMPP has its own Perl, but I ensure I install packages using 
'/opt/lampp/bin/perl -MCPAN -e shell'.

I'm pretty sure the XAMPP Apache server is using its own Perl rather 
than the default /usr/bin/perl as I have a large number of dependencies 
for my mod_perl web apps which do not exist under the default perl lib 

'which perl' points to /usr/local/bin/perl which is an alias to the 
XAMPP /opt/lampp/bin/perl, and 'perl -V' points to the 
/opt/lampp/lib/perl5 libraries.

But still, maybe some conflict between the two Perls?
Richard Jones

View raw message